<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout android:orientation="vertical" android:layout_width="fill_parent" android:layout_height="fill_parent"
  xmlns:android="http://schemas.android.com/apk/res/android">
    <RelativeLayout android:id="@id/poi_search_title" android:background="@color/white" android:layout_width="fill_parent" android:layout_height="@dimen/x44">
        <TextView android:textSize="16.0sp" android:textColor="@color/moji_theme_blue" android:id="@id/tv_cancel_choose" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="@dimen/x20" android:text="@string/cancel" android:layout_centerVertical="true" />
        <TextView android:textSize="18.0sp" android:textColor="@color/setting_titiebar_color" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="@string/edit_poi_title_text" android:layout_centerInParent="true" />
        <TextView android:textSize="16.0sp" android:textColor="@color/moji_theme_blue" android:id="@id/tv_confirm_choose" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginRight="@dimen/x20" android:text="@string/confirm" android:layout_alignParentRight="true" android:layout_centerVertical="true" />
        <View android:background="@color/black_10p" android:layout_width="fill_parent" android:layout_height="0.5px" android:layout_alignParentBottom="true" />
    </RelativeLayout>
    <FrameLayout android:id="@id/search_layout" android:background="@color/white" android:paddingLeft="@dimen/x15" android:paddingTop="@dimen/x5" android:paddingRight="@dimen/x15" android:paddingBottom="@dimen/x5" android:layout_width="fill_parent" android:layout_height="@dimen/x44" android:layout_below="@id/poi_search_title">
        <RelativeLayout android:id="@id/real_input_layout" android:layout_width="fill_parent" android:layout_height="fill_parent">
            <AutoCompleteTextView android:textSize="14.0sp" android:textColor="#ff323232" android:textColorHint="#ff999999" android:id="@id/key_word" android:background="@drawable/snow_component_search_input" android:paddingLeft="@dimen/x6" android:paddingRight="@dimen/x24" android:layout_width="fill_parent" android:layout_height="@dimen/x30" android:hint="@string/edit_hint_text" android:singleLine="true" android:maxLength="20" android:drawableLeft="@drawable/mj_component_search_icon" android:drawablePadding="4.0dip" android:completionThreshold="1" android:layout_centerVertical="true" android:inputType="textAutoComplete" android:imeOptions="actionSearch" android:dropDownVerticalOffset="1.0dip" android:textCursorDrawable="@drawable/mj_cp_cursor_style" />
            <ImageView android:id="@id/clear_input" android:visibility="gone" android:layout_width="@dimen/x16" android:layout_height="@dimen/x16" android:layout_marginLeft="@dimen/x5" android:layout_marginRight="@dimen/x5" android:src="@drawable/activity_upload_photo_search_clear" android:layout_alignParentRight="true" android:layout_centerVertical="true" />
        </RelativeLayout>
        <RelativeLayout android:id="@id/fake_input_layout" android:background="@drawable/snow_component_search_input" android:focusable="true" android:clickable="true" android:layout_width="fill_parent" android:layout_height="fill_parent">
            <TextView android:textSize="14.0sp" android:textColor="#ff999999" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="@string/edit_hint_text" android:drawableLeft="@drawable/mj_component_search_icon" android:drawablePadding="@dimen/x5" android:layout_centerInParent="true" />
        </RelativeLayout>
    </FrameLayout>
    <FrameLayout android:layout_width="fill_parent" android:layout_height="fill_parent" android:layout_below="@id/search_layout">
        <RelativeLayout android:layout_width="fill_parent" android:layout_height="fill_parent">
            <FrameLayout android:id="@id/poi_keyword_map_layout" android:layout_width="fill_parent" android:layout_height="@dimen/x320">
                <com.amap.api.maps2d.MapView android:id="@id/poi_keyword_map" android:layout_width="fill_parent" android:layout_height="fill_parent" />
                <ImageView android:layout_gravity="center" android:id="@id/user_marker" android:layout_width="@dimen/x20" android:layout_height="@dimen/x40" android:layout_marginBottom="@dimen/x15" android:src="@drawable/short_time_map_click_marker" />
                <ImageView android:layout_gravity="bottom|center|right" android:id="@id/iv_back_to_mylocation" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginRight="@dimen/x15" android:layout_marginBottom="@dimen/x15" android:src="@drawable/short_btn_mylocation_selector" />
            </FrameLayout>
            <android.support.v7.widget.RecyclerView android:id="@id/search_result_recycler" android:layout_width="fill_parent" android:layout_height="fill_parent" android:layout_below="@id/poi_keyword_map_layout" />
        </RelativeLayout>
        <RelativeLayout android:id="@id/rl_keyword_layout" android:background="@color/white" android:visibility="gone" android:layout_width="fill_parent" android:layout_height="fill_parent">
            <View android:background="@color/black_10p" android:layout_width="fill_parent" android:layout_height="0.5px" android:layout_alignParentTop="true" />
            <ListView android:id="@id/keyword_list" android:layout_width="fill_parent" android:layout_height="wrap_content" android:divider="@null" android:dividerHeight="0.0dip" />
        </RelativeLayout>
    </FrameLayout>
</RelativeLayout>